{
  "type" : "record",
  "name" : "Phenotypes",
  "namespace" : "org.gel.models.report.avro",
  "doc" : "Oontology term based on the OBO format (see an example here http://snapshot.geneontology.org/ontology/go-basic.obo)",
  "fields" : [ {
    "name" : "nonStandardPhenotype",
    "type" : [ "null", {
      "type" : "array",
      "items" : "string"
    } ],
    "doc" : "The non standardised phenotypes (i.e.: may be free text)"
  }, {
    "name" : "standardPhenotypes",
    "type" : [ "null", {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "StandardPhenotype",
        "doc" : "Standard phenotype term based on the OBO format (see an example here http://snapshot.geneontology.org/ontology/go-basic.obo)",
        "fields" : [ {
          "name" : "id",
          "type" : "string"
        }, {
          "name" : "name",
          "type" : [ "null", "string" ]
        }, {
          "name" : "namespace",
          "type" : [ "null", "string" ]
        }, {
          "name" : "definition",
          "type" : [ "null", "string" ]
        }, {
          "name" : "comment",
          "type" : [ "null", "string" ]
        }, {
          "name" : "alternativeIds",
          "type" : [ "null", "string" ]
        }, {
          "name" : "synonyms",
          "type" : [ "null", "string" ]
        }, {
          "name" : "isA",
          "type" : [ "null", "string" ]
        }, {
          "name" : "ontology",
          "type" : {
            "type" : "record",
            "name" : "Ontology",
            "doc" : "The ontology to which a standard term belongs",
            "fields" : [ {
              "name" : "name",
              "type" : "string"
            }, {
              "name" : "version",
              "type" : "string"
            } ]
          },
          "doc" : "The ontology (e.g.: HPO, OMIM, SNOMED CT)"
        }, {
          "name" : "matchScore",
          "type" : [ "null", "float" ],
          "doc" : "The match between the non standard phenotype and this term when in silico"
        } ]
      }
    } ],
    "doc" : "The standardised phenotypes (i.e.: controlled terminology)"
  } ]
}
